GCubeGisViewerServiceAsync (gCube GIS Viewer Widget 2.0.0-SNAPSHOT API)
Date: 2013-07-01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.gcubegisviewer.client
Interface GCubeGisViewerServiceAsync

    public interface GCubeGisViewerServiceAsync

Author:
  "Federico De Faveri defaveri@isti.cnr.it"

Method Summary
`void` | `getDataResult(List<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItem> layerItems, String bbox, com.google.gwt.user.client.rpc.AsyncCallback<List<org.gcube.portlets.user.gisviewer.client.commons.beans.WfsTable>> asyncCallback)`
`void` | `getDataResult(List<String> urls, com.google.gwt.user.client.rpc.AsyncCallback<List<org.gcube.portlets.user.gisviewer.client.commons.beans.DataResult>> callback)`
`void` | `getGroupsInfo(String groupName, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItemsResult> callback)`
`void` | `getLayersInfo(List<String> layersName, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItemsResult> callback)`
`void` | `getLayersInfoByLayerItems(List<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItem> layerItems, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItemsResult> asyncCallback)`
`void` | `getTransectUrl(com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `saveLayerItem(String name, String mimeType, String url, String destinationFolderId, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
`void` | `saveMapImageItem(String name, String mimeType, String bbox, String width, String height, String[] geoservers, String[] layers, String[] styles, String[] opacities, String[] cqlfilters, String[] gsrefs, String destinationFolderId, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`

Method Detail

### getDataResult

    void getDataResult(List<String> urls,
                       com.google.gwt.user.client.rpc.AsyncCallback<List<org.gcube.portlets.user.gisviewer.client.commons.beans.DataResult>> callback)

  See Also:
    `GisViewerService.getDataResult(java.util.List)`

### getGroupsInfo

    void getGroupsInfo(String groupName,
                       com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItemsResult> callback)

  See Also:
    `GisViewerService.getGroupsInfo(java.lang.String)`

### getLayersInfo

    void getLayersInfo(List<String> layersName,
                       com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItemsResult> callback)

  See Also:
    `GisViewerService.getLayersInfo(java.util.List)`

### getTransectUrl

    void getTransectUrl(com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

  See Also:
    `GisViewerService.getTransectUrl()`

### getLayersInfoByLayerItems

    void getLayersInfoByLayerItems(List<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItem> layerItems,
                                   com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItemsResult> asyncCallback)

### getDataResult

    void getDataResult(List<org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItem> layerItems,
                       String bbox,
                       com.google.gwt.user.client.rpc.AsyncCallback<List<org.gcube.portlets.user.gisviewer.client.commons.beans.WfsTable>> asyncCallback)

### saveLayerItem

    void saveLayerItem(String name,
                       String mimeType,
                       String url,
                       String destinationFolderId,
                       com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

### saveMapImageItem

    void saveMapImageItem(String name,
                          String mimeType,
                          String bbox,
                          String width,
                          String height,
                          String[] geoservers,
                          String[] layers,
                          String[] styles,
                          String[] opacities,
                          String[] cqlfilters,
                          String[] gsrefs,
                          String destinationFolderId,
                          com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.